Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cdt.builder
Class BldInfViewPathHelper

    java.lang.Object
      com.nokia.carbide.cdt.builder.BldInfViewPathHelper

    public class BldInfViewPathHelper

extends java.lang.Object

This class manages conversion of IPaths provided by an IBldInfView back and forth to real-world paths in the filesystem or workspace.

In most cases, EpocEnginePathHelper is sufficient for this purpose. The routines here are for use with the IExtension API provided by `IBldInfView.getExtensions()`.

Instances of this class should be short-lived (e.g. if a project is deleted or renamed, it may cease to work).

Field Summary
`protected IPath` | `epocRoot`
`protected IPath` | `epocTemplatesRoot`

Constructor Summary
`BldInfViewPathHelper(IBldInfData data, IPath epocRoot)` Construct an instance with the given epocRoot.

Method Summary
`IPath` | `convertExtensionTemplateFromFilesystem(IPath path)` Convert the given full-path template makefile base path to the template makefile-relative path.
`IPath` | `convertExtensionTemplateToFilesystem(IPath path)` Convert the given path (from an IExtension) into the full filesystem path where its *.mk and *.meta files live.
`boolean` | `isExtensionMakefileBuiltForPlatform(IPath extensionMakefilePath, ISymbianBuildContext buildContext)` Determine whether an extension makefile is suitable for the given build configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### epocRoot

    protected IPath epocRoot

### epocTemplatesRoot

    protected IPath epocTemplatesRoot

Constructor Detail

### BldInfViewPathHelper

    public BldInfViewPathHelper(IBldInfData data,
                                IPath epocRoot)

  Construct an instance with the given epocRoot. This constructor is used when a project doesn't exist yet.

  In this configuration, if epocRoot==null, `#convertbld.infToFilesystem(Ebld.infPathContext, IPath)` will return null for EPOCROOT-relative paths.

  Parameters:
    `buildConfiguration` -

Method Detail

### convertExtensionTemplateToFilesystem

    public IPath convertExtensionTemplateToFilesystem(IPath path)

  Convert the given path (from an IExtension) into the full filesystem path where its *.mk and *.meta files live.

  Parameters:
    `path` - path from `IExtension.getTemplatePath()`
  Returns:
    absolute path, without file extension , or null if no EPOCROOT was passed.

### convertExtensionTemplateFromFilesystem

    public IPath convertExtensionTemplateFromFilesystem(IPath path)

  Convert the given full-path template makefile base path to the template makefile-relative path.

  Parameters:
    `path` - full path
  Returns:
    relative path, without file extension, or null if not representable

### isExtensionMakefileBuiltForPlatform

    public boolean isExtensionMakefileBuiltForPlatform(IPath extensionMakefilePath,
                                                       ISymbianBuildContext buildContext)

  Determine whether an extension makefile is suitable for the given build configuration. This information is recorded in the *.meta file next to the *.mk file.

  Parameters:
    `extensionMakefilePath` - resolved full path to extension makefile base (no extension)
    `buildContext` - the build context being tested, may not be null
  Returns:
    true if the makefile is appropriate to the build configuration

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD